scala.swing

# MenuItem

#### class MenuItem extends AbstractButton

A menu item that can be used in a menu.

Source
  Menu.scala
See also

  javax.swing.JMenuItem

Linear Supertypes
AbstractButton, Wrapper, Trigger, Component, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Known Subclasses
CheckMenuItem, Menu, RadioMenuItem
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MenuItem
2. AbstractButton
3. Wrapper
4. Trigger
5. Component
6. UIElement
7. LazyPublisher
8. Publisher
9. Reactor
10. Proxy
11. AnyRef
12. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MenuItem(a: Action)

2. #### new MenuItem(title0: String)

### Type Members

1. #### trait SuperMixin extends JComponent

   This trait is used to redirect certain calls from the peer to the wrapper and back.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from MenuItem to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (MenuItem, B)

   Implicit information
     This member is added by an implicit conversion from MenuItem to ArrowAssoc[MenuItem] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### def action: Action

   Definition Classes
     Wrapper → Trigger

9. #### def action_=(a: Action): Unit

   Definition Classes
     Wrapper → Trigger

10. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

11. #### def background: Color

    Definition Classes
      UIElement

12. #### def background_=(c: Color): Unit

    Definition Classes
      UIElement

13. #### def border: Border

    Definition Classes
      Component

14. #### def borderPainted: Boolean

    Definition Classes
      AbstractButton

15. #### def borderPainted_=(b: Boolean): Unit

    Definition Classes
      AbstractButton

16. #### def border_=(b: Border): Unit

    Definition Classes
      Component

17. #### def bounds: java.awt.Rectangle

    Definition Classes
      UIElement

18. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

19. #### def contentAreaFilled: Boolean

    Definition Classes
      AbstractButton

20. #### def contentAreaFilled_=(b: Boolean): Unit

    Definition Classes
      AbstractButton

21. #### def cursor: Cursor

    Definition Classes
      UIElement

22. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

23. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

24. #### def disabledIcon: Icon

    Definition Classes
      AbstractButton

25. #### def disabledIcon_=(i: Icon): Unit

    Definition Classes
      AbstractButton

26. #### def disabledSelectedIcon: Icon

    Definition Classes
      AbstractButton

27. #### def disabledSelectedIcon_=(i: Icon): Unit

    Definition Classes
      AbstractButton

28. #### def displayable: Boolean

    Definition Classes
      UIElement

29. #### def displayedMnemonicIndex: Int

    Definition Classes
      AbstractButton

30. #### def displayedMnemonicIndex_=(n: Int): Unit

    Definition Classes
      AbstractButton

31. #### def doClick(times: Int): Unit

    Definition Classes
      AbstractButton

32. #### def doClick(): Unit

    Definition Classes
      AbstractButton

33. #### def enabled: Boolean

    Definition Classes
      Component

34. #### def enabled_=(b: Boolean): Unit

    Definition Classes
      Component

35. #### def ensuring(cond: (MenuItem) ⇒ Boolean, msg: ⇒ Any): MenuItem

    Implicit information
      This member is added by an implicit conversion from MenuItem to Ensuring[MenuItem] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

36. #### def ensuring(cond: (MenuItem) ⇒ Boolean): MenuItem

    Implicit information
      This member is added by an implicit conversion from MenuItem to Ensuring[MenuItem] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

37. #### def ensuring(cond: Boolean, msg: ⇒ Any): MenuItem

    Implicit information
      This member is added by an implicit conversion from MenuItem to Ensuring[MenuItem] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

38. #### def ensuring(cond: Boolean): MenuItem

    Implicit information
      This member is added by an implicit conversion from MenuItem to Ensuring[MenuItem] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

39. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

40. #### def equals(that: Any): Boolean

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Any implementation of this method should be an equivalence relation:

    - It is reflexive: for any instance `x` of type `Any`, `x.equals(x)` should return `true`.
    - It is symmetric: for any instances `x` and `y` of type `Any`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
    - It is transitive: for any instances `x`, `y`, and `z` of type `AnyRef` if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.

    If you override this method, you should verify that your implementation remains an equivalence relation. Additionally, when overriding this method it is usually necessary to override `hashCode` to ensure that objects which are "equal" (`o1.equals(o2)` returns `true`) hash to the same scala.Int. (`o1.hashCode.equals(o2.hashCode)`).

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → Any

41. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

42. #### def focusPainted: Boolean

    Definition Classes
      AbstractButton

43. #### def focusPainted_=(b: Boolean): Unit

    Definition Classes
      AbstractButton

44. #### def focusable: Boolean

    Definition Classes
      Component

45. #### def focusable_=(b: Boolean): Unit

    Definition Classes
      Component

46. #### def font: Font

    Definition Classes
      UIElement

47. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

48. #### def foreground: Color

    Definition Classes
      UIElement

49. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

50. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from MenuItem to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

51. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

52. #### def hasFocus: Boolean

    Definition Classes
      Component

53. #### def hashCode(): Int

    Calculate a hash code value for the object.

    Calculate a hash code value for the object.

    The default hashing algorithm is platform dependent.

    Note that it is allowed for two objects to have identical hash codes (`o1.hashCode.equals(o2.hashCode)`) yet not be equal (`o1.equals(o2)` returns `false`). A degenerate implementation could always return `0`. However, it is required that if two objects are equal (`o1.equals(o2)` returns `true`) that they have identical hash codes (`o1.hashCode.equals(o2.hashCode)`). Therefore, when overriding this method, be sure to verify that the behavior is consistent with the `equals` method.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → Any

54. #### def horizontalAlignment: Alignment.Value

    Definition Classes
      AbstractButton

55. #### def horizontalAlignment_=(a: Alignment.Value): Unit

    Definition Classes
      AbstractButton

56. #### def horizontalTextPosition: Alignment.Value

    Definition Classes
      AbstractButton

57. #### def horizontalTextPosition_=(a: Alignment.Value): Unit

    Definition Classes
      AbstractButton

58. #### def icon: Icon

    Definition Classes
      AbstractButton

59. #### def iconTextGap: Int

    Definition Classes
      AbstractButton

60. #### def iconTextGap_=(x: Int): Unit

    Definition Classes
      AbstractButton

61. #### def icon_=(i: Icon): Unit

    Definition Classes
      AbstractButton

62. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

63. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

64. #### var initP: JComponent

    Definition Classes
      Component

65. #### def inputVerifier: (Component) ⇒ Boolean

    Definition Classes
      Component

66. #### def inputVerifier_=(v: (Component) ⇒ Boolean): Unit

    Definition Classes
      Component

67. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

68. #### object keys extends Publisher

    Definition Classes
      Component

69. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

70. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

71. #### def locale: Locale

    Definition Classes
      UIElement

72. #### def location: java.awt.Point

    Definition Classes
      UIElement

73. #### def locationOnScreen: java.awt.Point

    Definition Classes
      UIElement

74. #### def margin: Insets

    Definition Classes
      AbstractButton

75. #### def margin_=(i: Insets): Unit

    Definition Classes
      AbstractButton

76. #### def maximumSize: java.awt.Dimension

    Definition Classes
      UIElement

77. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

78. #### def minimumSize: java.awt.Dimension

    Definition Classes
      UIElement

79. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

80. #### def mnemonic: event.Key.Value

    Definition Classes
      AbstractButton

81. #### def mnemonic_=(k: event.Key.Value): Unit

    Definition Classes
      AbstractButton

82. #### object mouse

    Contains publishers for various mouse events.

83. #### def multiClickThreshold: Long

    Definition Classes
      AbstractButton

84. #### def multiClickThreshold_=(n: Long): Unit

    Definition Classes
      AbstractButton

85. #### def name: String

    Definition Classes
      Component

86. #### def name_=(s: String): Unit

    Definition Classes
      Component

87. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

88. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

89. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

90. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      Component → UIElement → LazyPublisher

91. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

92. #### def opaque: Boolean

    Definition Classes
      Component

93. #### def opaque_=(b: Boolean): Unit

    Definition Classes
      Component

94. #### def paint(g: Graphics2D): Unit

    Definition Classes
      Component

95. #### def paintBorder(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

96. #### def paintChildren(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

97. #### def paintComponent(g: Graphics2D): Unit

    For custom painting, users should usually override this method.

    For custom painting, users should usually override this method.

    Attributes
      protected
    Definition Classes
      Component

98. #### lazy val peer: JMenuItem

    Definition Classes
      MenuItem → AbstractButton → Wrapper → Component → UIElement

99. #### def preferredSize: java.awt.Dimension

    Definition Classes
      UIElement

100. #### def preferredSize_=(x: Dimension): Unit

     Definition Classes
       UIElement

101. #### def pressedIcon: Icon

     Definition Classes
       AbstractButton

102. #### def pressedIcon_=(i: Icon): Unit

     Definition Classes
       AbstractButton

103. #### def publish(e: Event): Unit

     Notify all registered reactions.

     Notify all registered reactions.

     Definition Classes
       Publisher

104. #### val reactions: Reactions

     All reactions of this reactor.

     All reactions of this reactor.

     Definition Classes
       Reactor

105. #### def repaint(rect: Rectangle): Unit

     Definition Classes
       UIElement

106. #### def repaint(): Unit

     Definition Classes
       UIElement

107. #### def requestFocus(): Unit

     Definition Classes
       Component

108. #### def requestFocusInWindow(): Boolean

     Definition Classes
       Component

109. #### def revalidate(): Unit

     Definition Classes
       Component

110. #### def rolloverEnabled: Boolean

     Definition Classes
       AbstractButton

111. #### def rolloverEnabled_=(b: Boolean): Unit

     Definition Classes
       AbstractButton

112. #### def rolloverIcon: Icon

     Definition Classes
       AbstractButton

113. #### def rolloverIcon_=(b: Icon): Unit

     Definition Classes
       AbstractButton

114. #### def rolloverSelectedIcon: Icon

     Definition Classes
       AbstractButton

115. #### def rolloverSelectedIcon_=(b: Icon): Unit

     Definition Classes
       AbstractButton

116. #### def selected: Boolean

     Definition Classes
       AbstractButton

117. #### def selectedIcon: Icon

     Definition Classes
       AbstractButton

118. #### def selectedIcon_=(i: Icon): Unit

     Definition Classes
       AbstractButton

119. #### def selected_=(b: Boolean): Unit

     Definition Classes
       AbstractButton

120. #### def self: java.awt.Component

     Definition Classes
       UIElement → Proxy

121. #### def showing: Boolean

     Definition Classes
       UIElement

122. #### def size: java.awt.Dimension

     Definition Classes
       UIElement

123. #### def subscribe(listener: Reaction): Unit

     Definition Classes
       LazyPublisher → Publisher

124. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

125. #### def text: String

     Definition Classes
       AbstractButton

126. #### def text_=(s: String): Unit

     Definition Classes
       AbstractButton

127. #### def toString(): String

     Returns a string representation of the object.

     Returns a string representation of the object.

     The default representation is platform dependent.

     returns

       a string representation of the object.

     Definition Classes
       Component → Proxy → AnyRef → Any

128. #### def toolkit: Toolkit

     Definition Classes
       UIElement

129. #### def tooltip: String

     Definition Classes
       Component

130. #### def tooltip_=(t: String): Unit

     Definition Classes
       Component

131. #### def unsubscribe(listener: Reaction): Unit

     Definition Classes
       LazyPublisher → Publisher

132. #### def verticalAlignment: Alignment.Value

     Definition Classes
       AbstractButton

133. #### def verticalAlignment_=(a: Alignment.Value): Unit

     Definition Classes
       AbstractButton

134. #### def verticalTextPosition: Alignment.Value

     Definition Classes
       AbstractButton

135. #### def verticalTextPosition_=(a: Alignment.Value): Unit

     Definition Classes
       AbstractButton

136. #### def visible: Boolean

     Definition Classes
       UIElement

137. #### def visible_=(b: Boolean): Unit

     Definition Classes
       UIElement

138. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

139. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

140. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

141. #### def xLayoutAlignment: Double

     Used by certain layout managers, e.

     Used by certain layout managers, e.g., BoxLayout or OverlayLayout to align components relative to each other.

     Definition Classes
       Component

142. #### def xLayoutAlignment_=(x: Double): Unit

     Definition Classes
       Component

143. #### def yLayoutAlignment: Double

     Definition Classes
       Component

144. #### def yLayoutAlignment_=(y: Double): Unit

     Definition Classes
       Component

145. #### def →[B](y: B): (MenuItem, B)

     Implicit information
       This member is added by an implicit conversion from MenuItem to ArrowAssoc[MenuItem] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implict Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from MenuItem to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (menuItem: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from MenuItem to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (menuItem: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: MenuItem

   Implicit information
     This member is added by an implicit conversion from MenuItem to ArrowAssoc[MenuItem] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (menuItem: ArrowAssoc[MenuItem]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: MenuItem

   Implicit information
     This member is added by an implicit conversion from MenuItem to Ensuring[MenuItem] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (menuItem: Ensuring[MenuItem]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from AbstractButton

### Inherited from Wrapper

### Inherited from Trigger

### Inherited from Component

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MenuItem to StringAdd

### Inherited by implicit conversion any2stringfmt from MenuItem to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from MenuItem to ArrowAssoc[MenuItem]

### Inherited by implicit conversion any2Ensuring from MenuItem to Ensuring[MenuItem]

### Ungrouped